---
Name: resource-google-cloud
Description: "Manage Google Resources"
Documentation: |
  Manages Google (GCE) Instances via Cloud Resource Broker
Meta:
  application: cluster
  platform: google
  major: "1"
  minor: "0"
  required: "google/credential,google/project-id"
  optional: "google/region,google/zone,google/instance-type,google/boot-disk-image,google/boot-disk-gb,rsa/key-user"
  cluster-add-optional: "google/region,google/zone,google/instance-type,google/boot-disk-image,google/boot-disk-gb,rsa/key-user"
  BaseContext: "terraform"
  icon: "google"
  color: "olive"
  title: "RackN Content"
Params:
  broker/type: cloud-terraform
  broker/set-icon: "google"
  cloud/provider: google
  cloud/ansible-joinup: false
  terraform/map-ip-address: "self.network_interface[0].access_config[0].nat_ip"
  terraform/map-private-ip-address: "self.network_interface[0].network_ip"
  terraform/map-instance-id: "self.instance_id"
  terraform/map-instance-name: "self.name"
  terraform/plan-instance-resource-name: google_compute_instance
  terraform/lint-templates:
    - cloud-provision-base-tflint.hcl.tmpl
  terraform/plan-templates:
    - cloud-provision-google-init.tf.tmpl
    - cloud-provision-machines.tf.tmpl
  terraform/plan-instance-template: cloud-provision-google-instance.tf.tmpl
